Loading...
Searching...
No Matches
RDKit::ReducedGraphs Namespace Reference

## Functions

RDKIT_REDUCEDGRAPHS_EXPORT ROMol * | generateMolExtendedReducedGraph (const ROMol &mol, std::vector< boost::dynamic_bitset<> > *atomTypes=nullptr)
| Generates a reduced graph representation of a molecule.
RDKIT_REDUCEDGRAPHS_EXPORT RDNumeric::DoubleVector * | generateErGFingerprintForReducedGraph (const ROMol &mol, std::vector< boost::dynamic_bitset<> > *atomTypes=nullptr, double fuzzIncrement=0.3, unsigned int minPath=1, unsigned int maxPath=15)
| Generates a ErG fingerprint vector for a molecule that's already a reduced graph.
RDKIT_REDUCEDGRAPHS_EXPORT RDNumeric::DoubleVector * | getErGFingerprint (const ROMol &mol, std::vector< boost::dynamic_bitset<> > *atomTypes=nullptr, double fuzzIncrement=0.3, unsigned int minPath=1, unsigned int maxPath=15)
| Generates a ErG fingerprint vector for a molecule.

## Function Documentation

## generateErGFingerprintForReducedGraph()

RDKIT_REDUCEDGRAPHS_EXPORT RDNumeric::DoubleVector * RDKit::ReducedGraphs::generateErGFingerprintForReducedGraph | ( | const ROMol & | mol,
|  | std::vector< boost::dynamic_bitset<> > * | atomTypes = `nullptr`,
|  | double | fuzzIncrement = `0.3`,
|  | unsigned int | minPath = `1`,
|  | unsigned int | maxPath = `15`
| ) |  |

Generates a ErG fingerprint vector for a molecule that's already a reduced graph.

Parameters

  mol | the molecule to be fingerprinted
  atomTypes | [optional] contains bit vectors indicating whether each atom in the molecule matches each type.
  fuzzIncrement | amount to be added to neighboring bins
  minPath | minimum distance (in bonds) to be considered
  maxPath | maximum distance (in bonds) to be considered

Returns
  the fingerprint, as a DoubleVector

Notes:

- the caller is responsible for `delete`ing the result

## generateMolExtendedReducedGraph()

RDKIT_REDUCEDGRAPHS_EXPORT ROMol * RDKit::ReducedGraphs::generateMolExtendedReducedGraph | ( | const ROMol & | mol,
|  | std::vector< boost::dynamic_bitset<> > * | atomTypes = `nullptr`
| ) |  |

Generates a reduced graph representation of a molecule.

Parameters

  mol | the molecule to be fingerprinted

Returns
  a new molecule

Notes:

- the caller is responsible for `delete`ing the result

## getErGFingerprint()

RDKIT_REDUCEDGRAPHS_EXPORT RDNumeric::DoubleVector * RDKit::ReducedGraphs::getErGFingerprint | ( | const ROMol & | mol,
|  | std::vector< boost::dynamic_bitset<> > * | atomTypes = `nullptr`,
|  | double | fuzzIncrement = `0.3`,
|  | unsigned int | minPath = `1`,
|  | unsigned int | maxPath = `15`
| ) |  |

Generates a ErG fingerprint vector for a molecule.

Parameters

  mol | the molecule to be fingerprinted
  atomTypes | [optional] contains bit vectors indicating whether each atom in the molecule matches each type.
  fuzzIncrement | amount to be added to neighboring bins
  minPath | minimum distance (in bonds) to be considered
  maxPath | maximum distance (in bonds) to be considered

Returns
  the fingerprint, as a DoubleVector

Notes:

- the caller is responsible for `delete`ing the result